# Class: MontageReviver

## MontageReviver

#### new MontageReviver()

Source:
  - core/serialization/deserializer/montage-reviver.js, line 90

### Members

#### (static) parseObjectLocationId

Location Id is in the form of <moduleId>[<objectName>] where [<objectName>] is optional. When objectName is missing it is derived from the last path component of moduleId transformed into CamelCase.

Source:
  - core/serialization/deserializer/montage-reviver.js, line 937

##### Examples

    "event/event-manager" has a default objectName of EventManager.

    When the last path component ends with ".reel" it is removed before
    creating the default objectName.

    "matte/ui/input-range.reel" has a default objectName of
             InputRange.

#### init

Source:
  - core/serialization/deserializer/montage-reviver.js, line 108